com.mysql.jdbc

## Class EscapeProcessor

- java.lang.Object
- - com.mysql.jdbc.EscapeProcessor

     class EscapeProcessor
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`EscapeProcessor()`

### Method Summary

Methods
`static java.lang.Object` `escapeSQL(java.lang.String sql, boolean serverSupportsConvertFn, MySQLConnection conn)` Escape process one string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EscapeProcessor

    EscapeProcessor()

### Method Detail

#### escapeSQL

    public static final java.lang.Object escapeSQL(java.lang.String sql,
                             boolean serverSupportsConvertFn,
                             MySQLConnection conn)
                                            throws java.sql.SQLException

Escape process one string

Parameters:
  `sql` - the SQL to escape process.
Returns:
  the SQL after it has been escape processed.
Throws:
  `java.sql.SQLException` - DOCUMENT ME!
  `java.sql.SQLException` - DOCUMENT ME!